Global JJB Disable generation of pip lists 29/62429/1
authorTim Johnson <tijohnson@linuxfoundation.org>
Sun, 1 Dec 2019 16:31:04 +0000 (08:31 -0800)
committerTim Johnson <tijohnson@linuxfoundation.org>
Sun, 1 Dec 2019 16:31:04 +0000 (08:31 -0800)
Issue: RELENG-2560
Change-Id: I2ec3cf5fa73e98334468067c76b605e1fbf4f4b9
Signed-off-by: Tim Johnson <tijohnson@linuxfoundation.org>
releasenotes/notes/disable-pip-lists-9d721da20bff6029.yaml [new file with mode: 0644]
shell/python-tools-install.sh

diff --git a/releasenotes/notes/disable-pip-lists-9d721da20bff6029.yaml b/releasenotes/notes/disable-pip-lists-9d721da20bff6029.yaml
new file mode 100644 (file)
index 0000000..8292a6d
--- /dev/null
@@ -0,0 +1,5 @@
+---
+other:
+  - |
+    Disable generation of pip package lists during builds: packages_end.txt.gz,
+    packages_start.txt.gz & packages_diff.txt.gz. They are no longer valid.
index b388b0f..b908e17 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash -l
+#!/bin/bash
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2018 The Linux Foundation and others.
 ##############################################################################
 echo "---> python-tools-install.sh"
 
-set -eu -o pipefail
-
-# Generate a list of 'pip' packages pre-build/post-build
-# During post-build, perform a diff on the two lists and copy files to archive directory
-echo "Listing pip packages"
-pip_list_pre=/tmp/pip-list-pre.txt
-pip_list_post=/tmp/pip-list-post.txt
-pip_list_diffs=/tmp/pip-list-diffs.txt
-if [[ -f $pip_list_pre ]]; then
-    python3 -m pip list > $pip_list_post
-    echo "Compare pip packages before/after..."
-    if diff --suppress-common-lines $pip_list_pre $pip_list_post \
-            | tee $pip_list_diffs; then
-        echo "No diffs" | tee $pip_list_diffs
-    fi
-    mkdir -p "$WORKSPACE/archives"
-    cp "$pip_list_pre" "$pip_list_post" "$pip_list_diffs" "$WORKSPACE/archives"
-    rm -rf "$pip_list_pre" "$pip_list_post" "$pip_list_diffs"
-    ls "$WORKSPACE/archives"
-    # Would just like to 'exit 0' here but we can't because the
-    # log-deploy.sh script is 'appended' to this file and it would not
-    # be executed.
-else
-    python3 -m pip list > "$pip_list_pre"
-    # These 'pip installs' only need to be executed during pre-build
+set -eufo pipefail
 
+# This script will typically be called during pre-build & post-build.
+# Create the user venv during pre-build.
+if [[ ! -f /tmp/pre-build-complete ]]; then
     requirements_file=$(mktemp /tmp/requirements-XXXX.txt)
 
     # Note: To test lftools master branch change the lftools configuration below in
@@ -54,10 +33,11 @@ tox>=3.7.0 # Tox 3.7 or greater is necessary for parallel mode support
 yq
 EOF
 
-    # Use `python -m pip` to ensure we are using the latest version of pip
+    # Use `python -m pip` to ensure we are using pip from user venv
     python3 -m venv ~/.local
     python3 -m pip install --user --quiet --upgrade pip
     python3 -m pip install --user --quiet --upgrade setuptools
     python3 -m pip install --user --quiet --upgrade --upgrade-strategy eager -r "$requirements_file"
     rm -rf "$requirements_file"
+    touch /tmp/pre-build-complete
 fi